SQLREDUCE(1)

NAME
sqlreduce - Reduce verbose SQL queries to minimal examples

DESCRIPTION
usage: sqlreduce [-h] [-d DATABASE] [-f FILE] [--sqlstate] [-t TIMEOUT]

    [--debug] [query ...]

Reduce a SQL query to the minimal query throwing the same error

  positional arguments:

query
    Query to reduce to minimum

  options:

-h, --help
    show this help message and exit

-d, --database DATABASE
    Database or connection string to use

-f, --file FILE
    Read query from file [Default: stdin]

--sqlstate
    Reduce query to same SQL state instead of error message

-t, --timeout TIMEOUT
    Statement timeout [Default: 500ms]

--debug